---
title: filterableProps API
description: "API Index | filterableProps"
api_reference: true
slug: api_grid_filterableprops_wrapper
---

# FilterableProps

### filterable-extra `Boolean`

If `filterable-extra` is set to `true`, the filter menu allows the user to input a second criterion.

### filterable-messages-and `String`

The text of the option which represents the `and` logical operation.

### filterable-messages-clear `String`

The text of the button which clears the filter.

### filterable-messages-filter `String`

The text of the button which applies the filter.

### filterable-messages-info `String`

The text of the information message at the top of the filter menu.

### filterable-messages-title `String`

The text which is rendered for the `title` attribute of the filter menu form.

### filterable-messages-is-false `String`

The text of the radio button for false values. Displayed when the user filters Boolean fields.

### filterable-messages-is-true `String`

The text of the radio button for true values. Displayed when the user filters Boolean fields.

### filterable-messages-or `String`

The text of the option which represents the `OR` logical operation.

### filterable-messages-search `String`

The placeholder of the search input for columns having their `search` option set to `true`.

### filterable-messages-select-value `String`

The text of the drop-down list which is displayed in the filter menu for columns having their `values` option set.

### filterable-messages-cancel `String`

(Available in mobile mode only) The text of the **Cancel** button in the filter menu header.

### filterable-messages-selected-items-format `String`

The format string for the count of the selected items in the filter menu when the `search` option set to `true`.

### filterable-messages-operator `String`

(Available in mobile mode only) The text of the operator item in the filter menu.

### filterable-messages-value `String`

(Available in mobile mode only) The text of the value item in the filter menu.

### filterable-messages-check-all `String`

The label which is used for the **Check all** checkbox.

### filterable-mode `String`

If `filterable-mode` is set to `row`, the user will be able to filter over an extra row that is added under the headers. By default, filtering uses the menu mode.

The supported string values are:

* `row`&mdash;The user can filter over an extra row within the header.
* `menu`&mdash;The user can filter over the menu after clicking the **Filter** icon.
* `menu, row`&mdash;The user can filter having both `row` and `menu` modes enabled.

### filterable-operators-string-eq `String`

The text of the `equal` filter operator.

### filterable-operators-string-neq `String`

The text of the `not equal` filter operator.

### filterable-operators-string-isnull `String`

The text of the `isnull` filter operator.

### filterable-operators-string-isnotnull `String`

The text of the `isnotnull` filter operator.

### filterable-operators-string-isempty `String`

The text of the `isempty` filter operator.

### filterable-operators-string-isnotempty `String`

The text of the `isnotempty` filter operator.

### filterable-operators-string-startswith `String`

The text of the `starts with` filter operator.

### filterable-operators-string-contains `String`

The text of the `contains` filter operator.

### filterable-operators-string-doesnotcontain `String`

The text of the `does not contain` filter operator.

### filterable-operators-string-endswith `String`

The text of the `ends with` filter operator.

### filterable-operators-number-eq `String`

The text of the `equal` filter operator.

### filterable-operators-number-neq `String`

The text of the `not equal` filter operator.

### filterable-operators-number-isnull `String`

The text of the `isnull` filter operator.

### filterable-operators-number-isnotnull `String`

The text of the `isnotnull` filter operator.

### filterable-operators-number-gte `String`

The text of the `greater than or equal` filter operator.

### filterable-operators-number-gt `String`

The text of the `greater than` filter operator.

### filterable-operators-number-lte `String`

The text of the `less than or equal` filter operator.

### filterable-operators-number-lt `String`

The text of the `less than` filter operator.

### filterable-operators-date-eq `String`

The text of the `equal` filter operator.

### filterable-operators-date-neq `String`

The text of the `not equal` filter operator.

### filterable-operators-date-isnull `String`

The text of the `isnull` filter operator.

### filterable-operators-date-isnotnull `String`

The text of the `isnotnull` filter operator.

### filterable-operators-date-gte `String`

The text of the `greater than or equal` filter operator.

### filterable-operators-date-gt `String`

The text of the `greater than` filter operator.

### filterable-operators-date-lte `String`

The text of the `less than or equal` filter operator.

### filterable-operators-date-lt `String`

The text of the `less than` filter operator.

### filterable-operators-enums-eq `String`

The text of the `equal` filter operator.

### filterable-operators-enums-neq `String`

The text of the `not equal` filter operator.

### filterable-operators-enums-isnull `String`

The text of the `isnull` filter operator.

### filterable-operators-enums-isnotnull `String`

The text of the `isnotnull` filter operator.

## Suggested Links

* [`Filterable` in Kendo UI Grid for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/grid/configuration/filterable)
